<h3 class="form-header">{{localize "COF.ui.attributes"}}</h3>
<input class="field-value capacity" data-item-id="{{item._id}}" name="system.key" type="hidden" value="{{system.key}}" placeholder="{{ localize " COF.ui.key" }}" data-dtype="String">
<div class="form-group stacked">
	<div class="form-fields">
		<label class="checkbox">
			<input type="checkbox" name="system.limited" {{checked system.limited}}> {{localize "COF.ui.limited"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.spell" {{checked system.spell}}> {{localize "COF.ui.spell"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.moduleData.cota.scalable" {{checked system.moduleData.cota.scalable}}
				onclick="return false;"> {{localize "Evolutive"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.moduleData.cota.advanced" {{checked system.moduleData.cota.advanced}}
				onclick="return false;"> {{localize "Avancée"}}
		</label>
	</div>
</div>
<div class="form-group stacked">
	<div class="form-fields">
		<label class="checkbox">
			<input type="checkbox" name="system.ranged" {{checked system.ranged}}> {{localize "COF.properties.ranged"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.limitedUsage" {{checked system.limitedUsage}}> {{localize "COF.ui.limitedUsage"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.save" {{checked system.save}}> {{localize "COF.ui.save"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.activable" {{checked system.activable}}> {{localize "COF.properties.activable"}}
		</label>
	</div>
</div>

<div class="form-group stacked">
	<div class="form-fields">
		<label class="checkbox">
			<input type="checkbox" name="system.heal" {{checked system.heal}}> {{localize "COF.ui.heal"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.attack" {{checked system.attack}}> {{localize "COF.ui.attack"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.buff" {{checked system.buff}}> {{localize "COF.ui.buff"}}
		</label>
		<label class="checkbox">
			<input type="checkbox" name="system.useMacro" {{checked system.useMacro}}> {{localize "COF.capacity.useMacro"}}
		</label>
	</div>
</div>
<h3 class="form-header">{{localize "COF.ui.properties"}}</h3>
{{#if system.ranged}}
	<div class="form-group">
		<label>{{localize "COF.ui.range"}}</label> 
		<div class="form-fields">            
			<input type="text" name="system.properties.ranged.range" value="{{system.properties.ranged.range}}" placeholder="{{localize "COF.ui.range"}}" data-dtype="String"/>            
		</div>
	</div>    
	<div class="form-group">
		<label>{{localize "COF.ui.radius"}}</label>
		<div class="form-fields">            
			<input type="text" name="system.properties.ranged.radius" value="{{system.properties.ranged.radius}}" placeholder="{{localize "COF.ui.radius"}}" data-dtype="String"/>
		</div>
	</div>
{{/if}}
{{#if system.limitedUsage}}
	<div class="form-group">
		<label>{{ localize "COF.ui.quantity" }}</label>
		<div class="form-fields">
			<input type="number" name="system.properties.limitedUsage.use" value="{{system.properties.limitedUsage.use}}" placeholder="{{localize "COF.ui.quantity"}}" data-dtype="Number"/>
		</div>
	</div>
	<div class="form-group">
		<label>{{localize "COF.ui.stacksize"}}</label>
		<div class="form-fields">
			<input type="text" name="system.properties.limitedUsage.maxUse" value="{{system.properties.limitedUsage.maxUse}}" placeholder="{{localize "COF.placeholders.stacksize"}}" data-dtype="Number">
		</div>
	</div>
{{/if}}
{{#if system.save}}
	<div class="form-group">
		<label>{{localize "COF.ui.save"}}</label>
		<div class="form-group">
			<label>{{localize "COF.ui.stat"}}</label>
			<div class="form-fields">
				<select name="system.properties.save.stat" data-type="String" style="width:100%">
					{{#select system.properties.save.stat}}
						<option value="">{{localize "COF.None"}}</option>
						<option value="str">{{localize "COF.stats.str.label"}}</option>
						<option value="dex">{{localize "COF.stats.dex.label"}}</option>
						<option value="con">{{localize "COF.stats.con.label"}}</option>
						<option value="int">{{localize "COF.stats.int.label"}}</option>
						<option value="wis">{{localize "COF.stats.wis.label"}}</option>
						<option value="cha">{{localize "COF.stats.cha.label"}}</option>
					{{/select}}
				</select>
			</div>
		</div>
		<label>{{localize "COF.ui.difficulty"}}</label>
		<div class="form-fields">            
			<input type="text" name="system.properties.save.difficulty" value="{{system.properties.save.difficulty}}" data-dtype="String"/>
		</div>        
	</div>   
	<div class="form-group"  >
		<label>{{localize "COF.ui.description"}}</label>
		<div class="form-fields">            
			<input type="text" name="system.properties.save.text" value="{{system.properties.save.text}}" data-dtype="String"/>
		</div>
	</div>
{{/if}}  
{{#if system.heal}}
<div class="form-group">
	<label>{{localize "COF.ui.healFormula"}}</label>
	<div class="form-fields">
		<input type="text" name="system.properties.heal.formula" value="{{system.properties.heal.formula}}" placeholder="{{localize "COF.ui.healFormula"}}" data-dtype="String"/>
	</div>
</div>
{{/if}}
{{#if system.attack}}
	<div class="form-group">
		<label>{{localize "COF.ui.skill"}}</label>
		<div class="form-fields">
			<select name="system.properties.attack.skill" data-type="String" style="width:100%">
				{{#select system.properties.attack.skill}}
					<option value="auto">{{localize "COF.ui.automatic"}}</option>
					<option value="@attacks.melee.mod">{{localize "COF.attacks.melee.label"}}</option>
					<option value="@attacks.ranged.mod">{{localize "COF.attacks.ranged.label"}}</option>
					<option value="@attacks.magic.mod">{{localize "COF.attacks.magic.label"}}</option>
					<option value="@stats.str.mod">{{localize "COF.stats.str.label"}}</option>
					<option value="@stats.dex.mod">{{localize "COF.stats.dex.label"}}</option>
					<option value="@stats.con.mod">{{localize "COF.stats.con.label"}}</option>
					<option value="@stats.int.mod">{{localize "COF.stats.int.label"}}</option>
					<option value="@stats.wis.mod">{{localize "COF.stats.wis.label"}}</option>
					<option value="@stats.cha.mod">{{localize "COF.stats.cha.label"}}</option>
				{{/select}}
			</select>
		</div>
	</div>
	<div class="form-group">
		<label>{{localize "COF.ui.difficulty"}}</label>
		<div class="form-fields">
			<input name="system.properties.attack.difficulty" type="text" value="{{system.properties.attack.difficulty}}" placeholder="" data-dtype="String">
		</div>
	</div>
	<div class="form-group">
		<label>{{localize "COF.ui.dmgBase"}}</label>
		<div class="form-fields">
			<input name="system.properties.attack.dmgBase" type="text" value="{{system.properties.attack.dmgBase}}" placeholder="{{localize "COF.ui.dmgBase"}}" data-dtype="String">
		</div>
	</div>
	<div class="form-group">
		<label>{{localize "COF.ui.dmgStat"}}</label>
		<div class="form-fields">
			<select name="system.properties.attack.dmgStat" data-type="String" style="width:100%">
				{{#select system.properties.attack.dmgStat}}
					<option value="">{{localize "COF.None"}}</option>
					<option value="@stats.str.mod">{{localize "COF.stats.str.label"}}</option>
					<option value="@stats.dex.mod">{{localize "COF.stats.dex.label"}}</option>
					<option value="@stats.con.mod">{{localize "COF.stats.con.label"}}</option>
					<option value="@stats.int.mod">{{localize "COF.stats.int.label"}}</option>
					<option value="@stats.wis.mod">{{localize "COF.stats.wis.label"}}</option>
					<option value="@stats.cha.mod">{{localize "COF.stats.cha.label"}}</option>
				{{/select}}
			</select>
		</div>
	</div>
{{/if}}    
{{#if system.buff}}
	<div class="form-group">
		<label>{{localize "COF.capacity.activated"}}</label>
		<div class="form-fields">
			<input class="capacity-activated-toggle" name="system.properties.buff.activated" type="checkbox" {{checked system.properties.buff.activated}}>
		</div>
	</div>   
{{/if}}
{{#if system.useMacro}}
	<div class="form-group">
		<label>{{localize "COF.capacity.macroName"}}</label>
		<div class="form-fields">
			<input name="system.properties.macro.name" type="text" value="{{system.properties.macro.name}}" placeholder="Nom de la macro" data-dtype="String">            
		</div>       
	</div>
	<div class="form-group">
		<label>{{localize "COF.capacity.macroId"}}</label>
		<div class="form-fields">
			<input name="system.properties.macro.id" type="text" value="{{system.properties.macro.id}}" data-dtype="String">          
		</div>       
	</div>
	<div class="form-group">
		<label>{{localize "COF.capacity.macroCompendium"}}</label>
		<div class="form-fields">
			<input name="system.properties.macro.pack" type="text" value="{{system.properties.macro.pack}}" data-dtype="String">          
		</div>       
	</div>    
{{/if}}
{{!-- scalableCapacities.profilePaths --}}
<div class="form-group flexrow">
	<h3 class="form-header repeater-entete">
		{{localize "Configuration des capacités évolutives"}}
		</h4>
		<a class="repeater-bouton ajouter-profilePath"><i class="fas fa-plus"></i></a>
		<ol class="repeater form-group">
			{{#each system.moduleData.cota.scalableCapacities.profilePaths as |profilePaths i| }}
			<li class="repeater flexrow" data-repeater="{{i}}">
				<select style="flex: 0 0 40%; text-align-last: left;"
					name="system.moduleData.cota.scalableCapacities.profilePaths.{{i}}.0">
					{{#select (lookup this "0")}}
					<option value="">{{localize "COF.None"}}</option>
					{{#each ../configCota.paths as |path i| }}
					<option value="{{path._id}}">{{path.name}}</option>
					{{/each}}
					{{/select}}
				</select>
				<select style="flex: 0 0 16%;" name="system.moduleData.cota.scalableCapacities.profilePaths.{{i}}.1">
					{{#select (lookup this "1")}}
					<option value="">{{localize "COF.None"}}</option>
					<option value="religious">{{localize 'COTA.scalableCapacities.religiousCaste'}}</option>
					<option value="warrior">{{localize 'COTA.scalableCapacities.warriorCaste'}}</option>
					{{/select}}
				</select>
				<select style="flex: 0 0 17%;" name="system.moduleData.cota.scalableCapacities.profilePaths.{{i}}.2">
					{{#select (lookup this "2")}}
					<option value="0">{{localize 'COTA.scalableCapacities.rank1&2'}}</option>
					<option value="1">{{localize 'COTA.scalableCapacities.rank1'}}</option>
					<option value="2">{{localize 'COTA.scalableCapacities.rank2'}}</option>
					{{/select}}
				</select>
				<label style="flex: 0 0 20%;margin-left: 5px;" class="checkbox">
					<input type="checkbox" name="system.moduleData.cota.scalableCapacities.profilePaths.{{i}}.3" {{checked
						(lookup this '3' )}}> {{localize "Peut être avancée"}}
				</label>
				<a class="repeater-bouton enlever-profilePath"><i class="fas fa-minus"></i></a>
			</li>
			{{/each}}
		</ol>
</div>